autoweka

## Class Conditional

- java.lang.Object
- - autoweka.Conditional

-     public class Conditional
      extends java.lang.Object

  Simple struct that matains conditionality between params

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Collection<java.lang.String>` | `domain` The set of categorical values that the parent must take on in order for the child parameter to be active
    `Parameter` | `parameter` The name of the 'child' parameter that is conditional on the parent taking on a particular value (This class encodes the condition from the child param's perspective.
    `Parameter` | `parent` The name of the parameter that the child is conditional on

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conditional(Parameter _param, Parameter _parent, java.util.Collection<java.lang.String> _domain)`
    `Conditional(Parameter _param, Parameter _parent, Conditional previous)`
    `Conditional(Parameter _param, Parameter _parent, java.lang.String _domain)`
    `Conditional(java.lang.String line, java.util.HashMap<java.lang.String,Parameter> paramMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### parameter

          public Parameter parameter

      The name of the 'child' parameter that is conditional on the parent taking on a particular value (This class encodes the condition from the child param's perspective. @TODO rename to child rather than parameter, for clarity)

    - #### parent

          public Parameter parent

      The name of the parameter that the child is conditional on

    - #### domain

          public java.util.Collection<java.lang.String> domain

      The set of categorical values that the parent must take on in order for the child parameter to be active

  - ### Constructor Detail

    - #### Conditional

          public Conditional(java.lang.String line,
                             java.util.HashMap<java.lang.String,Parameter> paramMap)

    - #### Conditional

          public Conditional(Parameter _param,
                             Parameter _parent,
                             java.lang.String _domain)

    - #### Conditional

          public Conditional(Parameter _param,
                             Parameter _parent,
                             java.util.Collection<java.lang.String> _domain)

    - #### Conditional

          public Conditional(Parameter _param,
                             Parameter _parent,
                             Conditional previous)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`